#include <iostream>
using namespace std;

void listar(int v[], int n);
void ordenaSelecao(int v[], int n);

int main(void) {
    // Declara as cartas (desordenadas)
    int cartas[9] = { 1, 7, 8, 3, 2, 9, 6, 4, 5 };
    // Mostra as cartas todas
    listar(cartas,9);
    ordenaSelecao(cartas, 9);
    listar(cartas,9);

}

// Ordena elementos da lista de maneira crescente
// Entrada:
//  v: vetor com elementos da lista
//  n: nmero de elementos na lista
void ordenaSelecao(int v[], int n) {
    // Variveis
    // i: posio inicial
    // j: posio de teste atual
    // menor: posio do menor valor encontrado
    // aux: auxiliar para troca dos valores
    int i, j, menor, aux;

    // Permitir que cada um dos elementos da lista sejam trocados
    for(i=0; i<n-1; i=i+1) {
        // adota como menor inicial o elemento atual
        menor = i;
        // Busca elemento menor, a partir do prximo ao inicial
        for(j=i+1; j<=n; j=j+1 ) {
            // Se elemento atual  menor que o menor anterior...
            // faz o atual ser o novo menor
            if (v[j] < v[menor]) menor = j;
        }
        // menor aponta para o menor valor
        // Se precisa fazer a troca, faz...
        if (menor != i) {
            aux = v[i];
            v[i] = v[menor];
            v[menor] = aux;
        }
    }
}


// Apresenta elementos da lista
// Entrada:
//  v: vetor com elementos da lista
//  n: nmero de elementos na lista
void listar(int v[], int n) {
    int i;
    for (i=0; i<n; i++) {
        cout << v[i];
        if (i<n-1) cout << ", ";
        else cout << "." << endl;
    }
}
