#include <iostream>
using namespace std;

void listar(int v[], int n);
void ordenaInsercao(int v[], int n);

int main(void) {
    // Declara as cartas (desordenadas)
    int cartas[9] = { 1, 7, 8, 3, 2, 9, 6, 4, 5 };
    // Mostra as cartas todas
    listar(cartas,9);
    ordenaInsercao(cartas, 9);
    listar(cartas,9);

}

// Ordena elementos da lista de maneira crescente
// Entrada:
//  v: vetor com elementos da lista
//  n: nmero de elementos na lista
void ordenaInsercao(int v[], int n) {
    // Variveis
    // i: posio inicial
    // j: posio de teste atual
    // aux: auxiliar para troca dos valores
    int i, j, aux;

    // Permitir que cada um dos elementos da lista seja reposicionado
    for(i=0; i<=n-1; i=i+1) {
        // Troca um a um, "para trs" buscando posio do elemento
        // Se o elemento anterior for menor ou igual, para de trocar
        for(j=i-1; j>=0 && v[j]>v[j+1]; j=j-1 ) {
            // S entra aqui se elemento  menor que o posterior
            aux = v[j];
            v[j] = v[j+1];
            v[j+1] = aux;
        }
    }
}


// Apresenta elementos da lista
// Entrada:
//  v: vetor com elementos da lista
//  n: nmero de elementos na lista
void listar(int v[], int n) {
    int i;
    for (i=0; i<n; i++) {
        cout << v[i];
        if (i<n-1) cout << ", ";
        else cout << "." << endl;
    }
}
